#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x,i,k=0,p=0,q=0;
    scanf("%d%d",&n,&x);
    int a[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
        if(a[i]<x) {if(p<abs(a[i]-x)) p=abs(a[i]-x);}
        else if(q<abs(x-a[i])) q=abs(x-a[i]);
    }
   if(q<p) printf("%d",2*q+p);
   else printf("%d", 2*p+q);


    return 0;
}